Subject: Re: bug#48452: 28.0.50; flymake for elisp does not respect `load-path`

From: Max Brieiev <[email-masked]>
Date: Sat, 23 Jul 2022 18:05:06 +0300

João Távora <[email-masked]> writes:

> I think we have to ask ourselves: what is Flymake used for?  The most
> useful answers will come from the people who actually use it, though
> potential uses are also interesting.

For a regular user like me, the most obvious use cases are:

1. Utilities for my own use. This can be sloppy code, heavily dependent
on my current Emacs setup. But it works, or at least it can be required
into init.el. So it is counter-intuitive, when flymake displays the
error, but running `restart-emacs' reveals no errors.

2. If I would decide to distribute my code through (M)ELPA, this is
where I'd like flymake to be more finicky: probably compile my code only
against standard load-path _and_ dependencies (packages listed in
"Package-Requires" header section).